[Snort-users] glibc dependency errors installing snort

sekure sekure at ...11827...
Mon Aug 30 06:04:35 EDT 2004


Be VERY careful doing an rpm upgrade of glibc.  Do a google search and
you'll find many examples of people unable to use even boot after
trying to rpm upgrade glibc.  This library is used in EVERYTHING,
including rpm itself, so you may end up with an unusable system after
rpm removes it and then core dumps because suddenly it can't find its
own library.

A better solution is to compile snort from source.  This way you don't
have to deal with the rpm dependancies.

On Mon, 30 Aug 2004 12:18:48 +1200, James Riden <j.riden at ...11179...> wrote:
> "Andy" <andy at ...12349...> writes:
> 
> > Hi,
> > I'm having problems installing snort, I'm getting glibc dependency errors.
> > I running RedHat 7.3, trying to install snort-2.1.3-1.i386.rpm
> >
> > I can't find a newer version of glibc other than 2.2.5 and really don't know
> > what I'm doing anyway.
> >
> > Am I having these problems because I'm running RH 7.3? Does snort 2.1.3-1
> > run on RH 7.3?
> >
> > Should I be installing a different package?
> >
> > [root at ...12350... snort]# rpm -ivh [root at ...12350... snort]# rpm -ivh
> > snort-2.1.3-1.i386.rpm
> > error: failed dependencies:
> >         libc.so.6(GLIBC_2.3)   is needed by snort-2.1.3-1
> 
> I'd go to Fedora Core 1 at least if you can. I've done an upgrade from
> 7.3 to FC1 and it went OK, and snort 2.2.0 is happily working on that
> machine.
> 
> Otherwise, try getting the appropriate rpms from here:
> http://dag.wieers.com/packages/snort/
> 
> cheers,
> Jamie
> --
> James Riden / j.riden at ...11179... / Systems Security Engineer
> Information Technology Services, Massey University, NZ.
> GPG public key available at: http://www.massey.ac.nz/~jriden/
> 
> 
> 
> 
> -------------------------------------------------------
> This SF.Net email is sponsored by BEA Weblogic Workshop
> FREE Java Enterprise J2EE developer tools!
> Get your free copy of BEA WebLogic Workshop 8.1 today.
> http://ads.osdn.com/?ad_id=5047&alloc_id=10808&op=click
> _______________________________________________
> Snort-users mailing list
> Snort-users at lists.sourceforge.net
> Go to this URL to change user options or unsubscribe:
> https://lists.sourceforge.net/lists/listinfo/snort-users
> Snort-users list archive:
> http://www.geocrawler.com/redir-sf.php3?list=snort-users
>




More information about the Snort-users mailing list